> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Font Profile API Endpoint

> This API endpoint allows a user to retrieve a specific font profile.



## OpenAPI

````yaml get /api/font-profile/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/font-profile/:
    get:
      tags:
        - api
      summary: Get Font Profile API Endpoint
      description: This API endpoint allows a user to retrieve a specific font profile.
      operationId: get_font_profile
      parameters:
        - name: font_profile_id
          in: query
          required: true
          schema:
            type: integer
        - name: preview
          in: query
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successfully retrieved the font profile
          content:
            application/json:
              schema:
                title: Font Profile
                type: object
                properties:
                  font_profile_id:
                    type: integer
                  disabled:
                    type: boolean
                  profile_name:
                    type: string
                  name:
                    type: string
                  path:
                    type: string
                  size:
                    type: integer
                  bold:
                    type: boolean
                  italic:
                    type: boolean
                  underlined:
                    type: boolean
                  strikethrough:
                    type: boolean
                  caption_position:
                    title: Overlay Coordinate
                    type: object
                    properties:
                      coordinate_id:
                        type: integer
                      overlay_visualizer:
                        type: string
                      x:
                        type: string
                      'y':
                        type: string
                    description: Overlay Coordinate OpenAPI Schema
                  caption_style_color:
                    type: string
                  caption_style_stroke_color:
                    type: string
                  caption_style_stroke_thickness:
                    type: integer
                  caption_shadow_x_pos:
                    type: integer
                  caption_shadow_y_pos:
                    type: integer
                  caption_shadow_color:
                    type: string
                  caption_shadow_blur:
                    type: integer
                  caption_lines:
                    type: integer
                  caption_ai_keyword_highlighter:
                    type: boolean
                  caption_ai_keyword_highlighter_color:
                    type: string
                  caption_highlighter:
                    type: boolean
                  caption_highlighter_color:
                    type: string
                  preview_url:
                    type: string
                  preview_bytes:
                    type: string
                    format: binary
                description: Font Profile OpenAPI Schema
              example:
                font_profile_id: 1
                disabled: false
                profile_name: New Font Profile
                name: Poppins
                path: Poppins
                size: 30
                bold: false
                italic: false
                underlined: false
                strikethrough: false
                caption_position:
                  coordinate_id: 0
                  overlay_visualizer: Middle Center
                  x: (main_w-overlay_w)/2
                  'y': (main_h-overlay_h)/2
                caption_style_color: '#FFFFFF'
                caption_style_stroke_color: '#000000'
                caption_style_stroke_thickness: 2
                caption_shadow_x_pos: 16
                caption_shadow_y_pos: 14
                caption_shadow_color: '#000000'
                caption_shadow_blur: 6
                caption_lines: 1
                caption_ai_keyword_highlighter: false
                caption_ai_keyword_highlighter_color: '#80B8FF'
                caption_highlighter: true
                caption_highlighter_color: '#FFFF00'
                preview_url: null
        '400':
          description: Failed to retrieve the font profile or validation errors
          content: {}
        '500':
          description: Failed to retrieve the font profile
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````